#
# spec file for package rubygem-actioncable-5_1
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-actioncable-5_1
Version:        5.1.7
Release:        15.1
%define mod_name actioncable
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -5_1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        WebSocket framework for Rails
License:        MIT
Group:          Development/Languages/Ruby

%description
Structure many real-time application concerns into channels over a single
WebSocket connection.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Mar 29 2019 coolo@suse.com
- updated to version 5.1.7
  see installed CHANGELOG.md
  [#]# Rails 5.1.7 (March 27, 2019) ##
  * No changes.
* Thu Mar 14 2019 coolo@suse.com
- updated to version 5.1.6.2
  see installed CHANGELOG.md
  [#]# Rails 5.1.6.2 (March 11, 2019) ##
  * No changes.
* Sat Dec  8 2018 coolo@suse.com
- updated to version 5.1.6.1
  see installed CHANGELOG.md
  [#]# Rails 5.1.6.1 (November 27, 2018) ##
  * No changes.
* Fri Mar 30 2018 factory-auto@kulow.org
- updated to version 5.1.6
  see installed CHANGELOG.md
* Thu Feb 15 2018 factory-auto@kulow.org
- updated to version 5.1.5
  see installed CHANGELOG.md
  [#]# Rails 5.1.5 (February 14, 2018) ##
  * No changes.
* Fri Sep  8 2017 enavarro@suse.com
- update to version 5.1.4
  see installed CHANGELOG.md
* Fri Aug  4 2017 cbruckmayer@suse.com
- update to version 5.1.3
  see installed CHANGELOG.md
* Sat Jun 24 2017 adrian@suse.de
- update to version 5.1.1
* Tue Jun 20 2017 coolo@suse.com
- updated to version 5.0.4
  see installed CHANGELOG.md
  [#]# Rails 5.0.4 (June 19, 2017) ##
  * No changes.
  [#]# Rails 5.0.3 (May 12, 2017) ##
  * No changes.
* Tue May 23 2017 coolo@suse.com
- updated to version 5.0.3
  see installed CHANGELOG.md
* Thu Mar  2 2017 coolo@suse.com
- updated to version 5.0.2
  see installed CHANGELOG.md
  [#]# Rails 5.0.2 (March 01, 2017) ##
  * No changes.
* Wed Dec 21 2016 coolo@suse.com
- updated to version 5.0.1
  see installed CHANGELOG.md
  [#]# Rails 5.0.1 (December 21, 2016) ##
  * No changes.
  [#]# Rails 5.0.1.rc2 (December 10, 2016) ##
  * No changes.
  [#]# Rails 5.0.1.rc1 (December 01, 2016) ##
  * Permit same-origin connections by default.
    New option `config.action_cable.allow_same_origin_as_host = false`
    to disable.
  * Dávid Halász*, *Matthew Draper*
  * Fixed and added a workaround to avoid race condition, when one
    thread closed the IO, when an another thread was still trying read
    from IO on a connection.
  * Matthew Draper*
  * Shutdown pubsub connection before classes are reloaded, to avoid
    hangups caused by pubsub still holding reference to Active Record
    connection from the pool, and Active Record trying to cleanup the pool.
  * Jon Moss*
  * Prevent race where the client could receive and act upon a
    subscription confirmation before the channel's `subscribed` method
    completed.
    Fixes #25381.
  * Vladimir Dementyev*
  * Buffer writes to websocket connections, to avoid blocking threads
    that could be doing more useful things.
  * Matthew Draper*, *Tinco Andringa*
  * Invocation of channel action is now prevented, if subscription
    connection was rejected.
    Fixes #23757.
  * Jon Moss*
  * Protect against concurrent writes to a websocket connection from
    multiple threads; the underlying OS write is not always threadsafe.
  * Tinco Andringa*
  * Close hijacked socket when connection is shut down.
    Fixes #25613.
  * Tinco Andringa*
* Fri Aug 12 2016 coolo@suse.com
- updated to version 5.0.0.1
  see installed CHANGELOG.md
* Mon Jul  4 2016 coolo@suse.com
- initial package of 5.0 stack
